MORTextInternal::OutlineMod Struct Reference

Internal and low level: the outline modifier header of a MORText. More...

## Public Member Functions

| OutlineMod ()
| constructor More...
int | getModId () const
| returns the data id to change in Outline More...

## Public Attributes

int | m_type
| the type More...
int | m_flags
| the flag More...
MWAWEntry | m_entry
| the data entry More...
int | m_unknowns [2]
| some unknown flags More...
std::string | m_extra
| extra data More...

## Friends

std::ostream & | operator<< (std::ostream &o, OutlineMod const &head)
| operator<< More...

## Detailed Description

Internal and low level: the outline modifier header of a MORText.

## Constructor & Destructor Documentation

MORTextInternal::OutlineMod::OutlineMod | ( |  | ) |

inline

constructor

## Member Function Documentation

int MORTextInternal::OutlineMod::getModId | ( |  | ) | const

inline

returns the data id to change in Outline

Referenced by MORText::readOutline().

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | OutlineMod const & | head
| ) |  |

friend

operator<<

## Member Data Documentation

MWAWEntry MORTextInternal::OutlineMod::m_entry

the data entry

Referenced by MORText::readOutline().

std::string MORTextInternal::OutlineMod::m_extra

extra data

Referenced by MORText::readOutline().

int MORTextInternal::OutlineMod::m_flags

the flag

Referenced by getModId(), and MORText::readOutline().

int MORTextInternal::OutlineMod::m_type

the type

Referenced by MORText::readOutline().

int MORTextInternal::OutlineMod::m_unknowns[2]

some unknown flags

Referenced by getModId(), OutlineMod(), and MORText::readOutline().

The documentation for this struct was generated from the following file:

- MORText.cxx